List restore points
import requests
url = "https://platform.ankra.app/api/v1/org/restore-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/restore-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/restore-points \
--header 'Authorization: Bearer <token>'{
"restore_points": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backup_vault_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_kind": "<string>",
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_cluster_name": "<string>",
"stack_names": [
"<string>"
],
"trigger": "manual",
"status": "creating",
"object_prefix": "<string>",
"total_bytes": 123,
"total_bytes_known": true,
"immutability_mode": "<string>",
"retain_until": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"verification_status": "unverified",
"verified_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_count": 123,
"not_carried": [
{
"kind": "<string>",
"name": "<string>",
"reason": "<string>",
"remedy": "<string>"
}
],
"delete_guards_version": 2
}
],
"next_cursor": "<string>"
}Backups
List restore points
Lists the organisation’s restore points newest first, one keyset page at a time, optionally narrowed to a cluster, stack, vault, status or trigger. Every item states what it does not carry. Requires backups.read.
GET
/
api
/
v1
/
org
/
restore-points
List restore points
import requests
url = "https://platform.ankra.app/api/v1/org/restore-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/restore-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/restore-points \
--header 'Authorization: Bearer <token>'{
"restore_points": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backup_vault_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_kind": "<string>",
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_cluster_name": "<string>",
"stack_names": [
"<string>"
],
"trigger": "manual",
"status": "creating",
"object_prefix": "<string>",
"total_bytes": 123,
"total_bytes_known": true,
"immutability_mode": "<string>",
"retain_until": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"verification_status": "unverified",
"verified_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_count": 123,
"not_carried": [
{
"kind": "<string>",
"name": "<string>",
"reason": "<string>",
"remedy": "<string>"
}
],
"delete_guards_version": 2
}
],
"next_cursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Restore points per page.
Required range:
1 <= x <= 200The next_cursor of the previous page.
Only these statuses; repeated or comma-separated.
Available options:
creating, complete, failed, expiring, expired, deleted Only these triggers; repeated or comma-separated.
Available options:
manual, scheduled, clone, migrate, pre_restore, verification Only restore points in this vault.
Only restore points of this cluster.
Only restore points of this stack.